Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.format
Class IconLabelFormats

    java.lang.Object
      info.bioinfweb.treegraph.document.format.LabelFormats
          info.bioinfweb.treegraph.document.format.GraphicalLabelFormats
              info.bioinfweb.treegraph.document.format.IconLabelFormats

All Implemented Interfaces:
  ElementFormats, LineFormats, Cloneable

    public class IconLabelFormats

extends GraphicalLabelFormats
implements LineFormats

Field Summary
`private String` | `icon`
`private boolean` | `iconFilled`

Fields inherited from class info.bioinfweb.treegraph.document.format.GraphicalLabelFormats
`DEFAULT_ICON_HEIGHT_IN_MM, DEFAULT_ICON_WIDTH_IN_MM`

Fields inherited from class info.bioinfweb.treegraph.document.format.LabelFormats
`DEFAULT_MARGIN_IN_MM`

Fields inherited from interface info.bioinfweb.treegraph.document.format.LineFormats
`DEFAULT_LINE_COLOR, DEFAULT_LINE_WIDTH_IN_MM`

Constructor Summary
`IconLabelFormats(Label owner)`
`IconLabelFormats(Label owner, boolean above, int line, int linePosition)`

Method Summary
`void` | `assign(IconLabelFormats other)`
`void` | `assignIconLabelFormats(IconLabelFormats other)`
`IconLabelFormats` | `clone()` Returns a deep copy with the owner `null`.
`String` | `getIcon()`
`boolean` | `getIconFilled()`
`void` | `setIcon(String icon)`
`void` | `setIconFilled(boolean iconFilled)`

Methods inherited from class info.bioinfweb.treegraph.document.format.GraphicalLabelFormats
`assignGraphicalLabelFormats, assignLineFormats, getHeight, getLineColor, getLineWidth, getWidth, setLineColor`

Methods inherited from class info.bioinfweb.treegraph.document.format.LabelFormats
`assignLabelFormats, getLineNumber, getLinePosition, getMargin, getOwner, isAbove, setAbove, setLineNumber, setLinePosition, setOwner`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.document.format.LineFormats
`assignLineFormats, getLineColor, getLineWidth, setLineColor`

Field Detail

### icon

    private String icon

### iconFilled

    private boolean iconFilled

Constructor Detail

### IconLabelFormats

    public IconLabelFormats(Label owner,
                            boolean above,
                            int line,
                            int linePosition)

### IconLabelFormats

    public IconLabelFormats(Label owner)

Method Detail

### getIcon

    public String getIcon()

### setIcon

    public void setIcon(String icon)

### getIconFilled

    public boolean getIconFilled()

### setIconFilled

    public void setIconFilled(boolean iconFilled)

### assignIconLabelFormats

    public void assignIconLabelFormats(IconLabelFormats other)

### assign

    public void assign(IconLabelFormats other)

### clone

    public IconLabelFormats clone()

  Description copied from class: `LabelFormats`
  Returns a deep copy with the owner `null`.

  Specified by:
    `clone` in interface `ElementFormats`
  Specified by:
    `clone` in interface `LineFormats`
  Overrides:
    `clone` in class `LabelFormats`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD